package com.example.aspdemo.mediastreamplayer;

import android.util.Log;

import com.aliyun.wuying.aspsdk.aspengine.ErrorCode;
import com.aliyun.wuying.aspsdk.aspengine.MediaStreamPlayer;
import com.example.aspdemo.mediastreamplayer.audio.AudioPlaybackStreamHandler;
import com.example.aspdemo.mediastreamplayer.video.VideoStreamEventHandler;
import com.example.aspdemo.mediastreamplayer.video.VideoStreamHandler;

public class DemoMediaStreamPlayer extends MediaStreamPlayer {
    private static final String TAG = "DemoPlayer";

    @Override
    public ErrorCode initialize() {
        Log.i(TAG, "initialize");

        // TODO: can do some overall initial work here

        return ErrorCode.OK;
    }

    @Override
    public ErrorCode release() {
        Log.i(TAG, "release");

        // TODO: can do some overall release work here

        return ErrorCode.OK;
    }

    @Override
    public void enableStatistics(boolean enabled) {
        Log.i(TAG, "enableStatistics " + enabled);
        VideoStreamEventHandler.getInstance().setEnabled(enabled);
    }

    @Override
    protected IVideoStreamHandler onCreateVideoStreamHandler() {
        return new VideoStreamHandler();
    }

    @Override
    protected IAdaptiveGraphicStreamHandler onCreateAdaptiveGraphicStreamHandler() {
        return null;
    }

    @Override
    protected IAudioPlaybackStreamHandler onCreateAudioPlaybackStreamHandler() {
        return new AudioPlaybackStreamHandler();
    }

    @Override
    protected ICursorBitmapHandler onCreateCursorBitmapHandler() {
        return null;
    }
}
